> ## Documentation Index
> Fetch the complete documentation index at: https://docs.us.housr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch perk categories



## OpenAPI

````yaml openapi.yaml get /perks/categories
openapi: 3.1.0
info:
  title: Housr API
  version: 1.0.0
  summary: Hourly-expiring bearer token auth with perks browse & redemption.
  description: >
    This API issues an hourly-expiring bearer token via HTTP Basic Auth and
    exposes endpoints

    for browsing, managing, and redeeming perks. Unless otherwise noted, all
    endpoints

    require `Authorization: Bearer <token>` over HTTPS.


    ## Authentication

    - Obtain a token with Basic Auth to /auth/token.

    - Token expires in 1 hour by default.

    - Optional "replicable per-hour" mode can be enabled server-side (see
    `hourly` flag).


    ## Pagination & Sorting

    - Use `page` (default 1) and `per_page` (default 25, max 100).

    - Responses include `X-Total-Count` and RFC5988 `Link` headers where
    applicable.

    - Sorting via `?sort=field,-otherField`.
servers:
  - url: https://v2.api.us.housr.com/partners
    description: Production
  - url: https://v2.staging.api.us.housr.com/partners
    description: Sandbox
security:
  - bearerAuth: []
tags:
  - name: Auth
  - name: Perks
  - name: Health Check
paths:
  /perks/categories:
    get:
      tags:
        - Perks
      summary: Fetch perk categories
      responses:
        '200':
          description: Categories
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Category'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    Category:
      type: object
      properties:
        id:
          type: string
        category_name:
          type: string
    Problem:
      type: object
      properties:
        response:
          type: string
  responses:
    Unauthorized:
      description: Missing or invalid authentication
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/Problem'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````